/*-
 * ========================LICENSE_START=================================
 * Copyright (C) 2021 Nordix Foundation. All rights reserved.
 * ======================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ========================LICENSE_END===================================
 */

package org.oransc.rappmanager.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;

import org.oransc.rappmanager.configuration.KubernetesClusterConfig;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController("KubernetesConfigController")
@RequestMapping("rms")
@Api(tags = {"kubeconfig"})
public class KubernetesConfigController {

    @Autowired
    private KubernetesClusterConfig kubeConfig;

    @GetMapping(path = "/config", produces = MediaType.APPLICATION_JSON_VALUE)
    @ApiOperation(value = "Return all Connected Kubernetes Cluster")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "Kubernetes Cluster List")})
    public ResponseEntity<Object> getAllClusters() {
        return new ResponseEntity<>(null, HttpStatus.OK);
    }

    @GetMapping(path = "/config/{id}", produces = MediaType.APPLICATION_JSON_VALUE)
    @ApiOperation(value = "Return a Kubernetes Cluster")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "Kubernetes Cluster")})
    public ResponseEntity<Object> getCluster(@PathVariable("id") String clusterId) {
        return new ResponseEntity<>(null, HttpStatus.OK);
    }
}
